package io.pivotal.security.domain;

import io.pivotal.security.entity.EncryptedValue;
import io.pivotal.security.service.RetryingEncryptionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class Encryptor {

  private final RetryingEncryptionService encryptionService;

  @Autowired
  public Encryptor(RetryingEncryptionService encryptionService) {
    this.encryptionService = encryptionService;
  }

  public EncryptedValue encrypt(String clearTextValue) {
    try {
      return clearTextValue == null
          ? new EncryptedValue() :
          encryptionService.encrypt(clearTextValue);
    } catch (Exception e) {
      throw new RuntimeException(e);
    }
  }

  public String decrypt(EncryptedValue encryption) {
    if (encryption == null ||
        encryption.getEncryptionKeyUuid() == null ||
        encryption.getEncryptedValue() == null ||
        encryption.getNonce() == null) {
      return null;
    }
    try {
      return encryptionService.decrypt(encryption);
    } catch (Exception e) {
      throw new RuntimeException(e);
    }
  }
}
