CREATE USER IF NOT EXISTS PIVOTAL SALT '41480d55efa002fc' HASH '846bb4c61b970150cb905cbaca800241ff45f9a2fc2d695dcf4e9910f2e6c7c3' ADMIN;
CREATE SEQUENCE SYSTEM_SEQUENCE_6355F431_77FC_43BA_9CB7_DB4A981DC86D START WITH 1 BELONGS_TO_TABLE;
CREATE SEQUENCE SYSTEM_SEQUENCE_C6985CD4_EADA_4F56_B05C_AC375700128A START WITH 1 BELONGS_TO_TABLE;
CREATE SEQUENCE SYSTEM_SEQUENCE_E56F81FE_40AA_455B_9106_AE0C0086FC94 START WITH 1 BELONGS_TO_TABLE;
CREATE SEQUENCE SYSTEM_SEQUENCE_7ACD4632_1838_4222_A83B_2C5ECE06B9D9 START WITH 1 BELONGS_TO_TABLE;
CREATE CACHED TABLE AUTH_FAILURE_AUDIT_RECORD(
    ID BIGINT DEFAULT (NEXT VALUE FOR SYSTEM_SEQUENCE_6355F431_77FC_43BA_9CB7_DB4A981DC86D) NOT NULL NULL_TO_DEFAULT SEQUENCE SYSTEM_SEQUENCE_6355F431_77FC_43BA_9CB7_DB4A981DC86D,
    FAILURE_DESCRIPTION VARCHAR(2000),
    HOST_NAME VARCHAR(255),
    NOW TIMESTAMP,
    OPERATION VARCHAR(255),
    PATH VARCHAR(255),
    REQUESTER_IP VARCHAR(255),
    TOKEN_EXPIRES BIGINT NOT NULL,
    TOKEN_ISSUED BIGINT NOT NULL,
    UAA_URL VARCHAR(255),
    USER_ID VARCHAR(255),
    USER_NAME VARCHAR(255),
    X_FORWARDED_FOR VARCHAR(255)
);
ALTER TABLE AUTH_FAILURE_AUDIT_RECORD ADD CONSTRAINT CONSTRAINT_8 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM AUTH_FAILURE_AUDIT_RECORD;
CREATE CACHED TABLE CERTIFICATE_SECRET(
    CA VARCHAR(7000),
    CERTIFICATE VARCHAR(7000),
    ID BIGINT NOT NULL
);
ALTER TABLE CERTIFICATE_SECRET ADD CONSTRAINT CONSTRAINT_9 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM CERTIFICATE_SECRET;
CREATE CACHED TABLE NAMED_CERTIFICATE_AUTHORITY(
    ID BIGINT DEFAULT (NEXT VALUE FOR SYSTEM_SEQUENCE_7ACD4632_1838_4222_A83B_2C5ECE06B9D9) NOT NULL NULL_TO_DEFAULT SEQUENCE SYSTEM_SEQUENCE_7ACD4632_1838_4222_A83B_2C5ECE06B9D9,
    CERTIFICATE VARCHAR(7000),
    ENCRYPTED_VALUE BINARY(7016),
    NAME VARCHAR(255) NOT NULL,
    NONCE BINARY(16),
    TYPE VARCHAR(255),
    UPDATED_AT BIGINT NOT NULL
);
ALTER TABLE NAMED_CERTIFICATE_AUTHORITY ADD CONSTRAINT CONSTRAINT_A PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM NAMED_CERTIFICATE_AUTHORITY;
CREATE CACHED TABLE NAMED_SECRET(
    TYPE VARCHAR(31) NOT NULL,
    ID BIGINT DEFAULT (NEXT VALUE FOR SYSTEM_SEQUENCE_C6985CD4_EADA_4F56_B05C_AC375700128A) NOT NULL NULL_TO_DEFAULT SEQUENCE SYSTEM_SEQUENCE_C6985CD4_EADA_4F56_B05C_AC375700128A,
    ENCRYPTED_VALUE BINARY(7016),
    NAME VARCHAR(255) NOT NULL,
    NONCE BINARY(16),
    UPDATED_AT BIGINT NOT NULL,
    UUID VARCHAR(255)
);
ALTER TABLE NAMED_SECRET ADD CONSTRAINT CONSTRAINT_6 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM NAMED_SECRET;
CREATE CACHED TABLE OPERATION_AUDIT_RECORD(
    ID BIGINT DEFAULT (NEXT VALUE FOR SYSTEM_SEQUENCE_E56F81FE_40AA_455B_9106_AE0C0086FC94) NOT NULL NULL_TO_DEFAULT SEQUENCE SYSTEM_SEQUENCE_E56F81FE_40AA_455B_9106_AE0C0086FC94,
    HOST_NAME VARCHAR(255),
    NOW BIGINT NOT NULL,
    OPERATION VARCHAR(255),
    PATH VARCHAR(255),
    REQUESTER_IP VARCHAR(255),
    SUCCESS BOOLEAN NOT NULL,
    TOKEN_EXPIRES BIGINT NOT NULL,
    TOKEN_ISSUED BIGINT NOT NULL,
    UAA_URL VARCHAR(255),
    USER_ID VARCHAR(255),
    USER_NAME VARCHAR(255),
    X_FORWARDED_FOR VARCHAR(255)
);
ALTER TABLE OPERATION_AUDIT_RECORD ADD CONSTRAINT CONSTRAINT_5 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM OPERATION_AUDIT_RECORD;
CREATE CACHED TABLE PASSWORD_SECRET(
    ID BIGINT NOT NULL
);
ALTER TABLE PASSWORD_SECRET ADD CONSTRAINT CONSTRAINT_86 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PASSWORD_SECRET;
CREATE CACHED TABLE VALUE_SECRET(
    ID BIGINT NOT NULL
);
ALTER TABLE VALUE_SECRET ADD CONSTRAINT CONSTRAINT_56 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM VALUE_SECRET;
ALTER TABLE NAMED_SECRET ADD CONSTRAINT UK_IV5VF8IQM1SD3K3NACBM20IXP UNIQUE(NAME);
ALTER TABLE NAMED_CERTIFICATE_AUTHORITY ADD CONSTRAINT UK_5IC6W4FI93Q8Y7XV7280YHSMR UNIQUE(NAME);
ALTER TABLE PASSWORD_SECRET ADD CONSTRAINT FK31HQE03PKUGU8U5NG564KO2NV FOREIGN KEY(ID) REFERENCES NAMED_SECRET(ID) NOCHECK;
ALTER TABLE CERTIFICATE_SECRET ADD CONSTRAINT FK34BRQRQSRTKAF3GMTY1RJKYJD FOREIGN KEY(ID) REFERENCES NAMED_SECRET(ID) NOCHECK;
ALTER TABLE VALUE_SECRET ADD CONSTRAINT FKOX93SY15F6PGBDR89KP05PNFQ FOREIGN KEY(ID) REFERENCES NAMED_SECRET(ID) NOCHECK;
